Skip to main content
GET
List Event Definitions

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

offset
integer<int32>

A pagination parameter that specifies the number of records to skip before starting to return results.

Required range: 0 <= x <= 2147483647
limit
integer<int32>

A pagination parameter that specifies the maximum number of records to return in a single response.

Required range: 0 <= x <= 2147483647
orderType
enum<string>

Defines the sort direction for the results.
Note: If orderField is not provided, this parameter will not have any effect. Sort direction for results.

Available options:
Asc,
Desc
orderField
enum<string>

Specifies the field by which the results should be ordered.
Note: If orderType is not provided, ordering will not work. Field by which results should be ordered.

Available options:
DefinitionId,
Title
category
enum<string>[]

Filters results by one or more event definition categories.

Event definition category.

Available options:
external,
person,
channel,
product,
template
searchText
string

Text used for searching event definitions by definition ID, title, or description.

Response

OK

isInternalDefinition
boolean

Indicates whether this is a standard (internal) event definition provided by the system, or a custom (external) definition created by the user.

category
enum<string> | null

Event definition category.

Available options:
external,
person,
channel,
product,
template
subcategory
enum<string> | null

Event definition subcategory.

Available options:
sms,
email,
push,
whatsapp,
viber,
facebook,
moments,
forms,
conversations,
mobileapp,
voice,
line,
appleBC,
rcs,
mms,
viberBot,
inapp,
answers,
blocklist
definitionId
string | null

Event definition identifier.

title
string | null

Event definition title.

description
string | null

Event definition description.

fields
EventFieldResource · object[] | null

Event definition fields describing the structure and data types of the event properties.